/*
 * Licensed Materials - Use restricted. For use in compiling interfaces to
 * IBM Rational TestManager.
 * (c) Copyright IBM Corporation 2001,2002,2006.  All Rights Reserved.
 */

#if !defined __CUSTRECADAPTERSTUB_INCLUDED
#define __CUSTRECADAPTERSTUB_INCLUDED

#ifdef MAKE_A_DLL
#define LINKDLL __declspec( dllexport)
#else
#define LINKDLL __declspec( dllimport)
#endif

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "ExtDefs.h"

extern "C" 
BOOL LINKDLL IsCustomRecorderAdapter();

extern "C" 
int LINKDLL GetDisplayName(
                       TCHAR* name,              //in: pointer to output buffer 
                       size_t nameSize);         //in: output buffer size
  
extern "C" 
int LINKDLL GetOptions(
                       TCHAR* options,           //in: pointer to output buffer
                       size_t optionsSize);      //in: output buffer size

extern "C" 
int LINKDLL SetOptions(
                       TCHAR* options,           //in: pointer to input buffer
                       size_t optionsSize,       //in: input buffer size
                       TCHAR* errorMessage,      //in: pointer to output buffer
                       size_t errorMessageSize); //in: output buffer size
	
extern "C" 
int LINKDLL DisplayCustomConfigGUI(
                       TCHAR* errorMessage,      //in: pointer to output buffer 
                       size_t errorMessageSize); //in: output buffer size

extern "C" 
int LINKDLL InitializeRecorder(
                       TCHAR* errorMessage,      //in: pointer to output buffer
                       size_t errorMessageSize); //in: output buffer size

extern "C" 
int LINKDLL StartRecording(
                       TCHAR* pathname,          //in: pointer to input buffer
                       size_t pathnameSize,      //in: output buffer size
                       StatusCallbackPtr fPtr,   //in: function pointer
                       TCHAR* errorMessage,      //in: pointer to output buffer
                       size_t errorMessageSize); //in: output buffer size

extern "C" 
int LINKDLL StopRecording(
                       TCHAR* errorMessage,       //in: pointer to output buffer
                       size_t errorMessageSize);  //in: output buffer size

/////////////////////////////////////////////////////////////////////////////

#endif // !defined __CUSTRECADAPTERSTUB_INCLUDED

