// Copyright (c) 1999 Quadralay Corporation.  All rights reserved.
//
// The information in this file is confidential and proprietary to
// Quadralay Corporation.  Unauthorized use or duplication is
// strictly prohibited.

wlen[wlen.length]=12;


dl=desc.length;
desc[dl]=new Array(26);

desc[dl][0]=new Array("About Session Recording and Script Generation","intro2a.htm");
desc[dl][1]=new Array("Overview of the Extensibility Framework","intro3a.htm");
desc[dl][2]=new Array("Extending API Recording and Script Generation","intro4a.htm");
desc[dl][3]=new Array("Installing Adapters","intro6a.htm");
desc[dl][4]=new Array("Limitations","intro7a.htm");
desc[dl][5]=new Array("Implementing Custom Recording and Script Generation","intro5.htm");
desc[dl][6]=new Array("Introduction to the Robot Extensibility Framework ","intro.htm");
desc[dl][7]=new Array("Preface ","preface.htm");
desc[dl][8]=new Array("About Recording and Script Generation Services","service2.htm");
desc[dl][9]=new Array("Proxy Services Reference","service3.htm");
desc[dl][10]=new Array("The GetAnnotations() Service Function","service4.htm");
desc[dl][11]=new Array("Robot-Defined Configuration Options ","config4.htm");
desc[dl][12]=new Array("Adapter-Defined Configuration Options","config5.htm");
desc[dl][13]=new Array("Recording and Script Generation Services ","services.htm");
desc[dl][14]=new Array("Adapter Configuration ","config.htm");
desc[dl][15]=new Array("About Adapter Configuration","config2a.htm");
desc[dl][16]=new Array("Configuration Argument Format","config3a.htm");
desc[dl][17]=new Array("API Script Generator Adapter API","ref-asga.htm");
desc[dl][18]=new Array("API Adapter Reference ","ref-ara.htm");
desc[dl][19]=new Array("About API Adapters","ref-ara2.htm");
desc[dl][20]=new Array("API Recorder Adapter API","ref-ara3.htm");
desc[dl][21]=new Array("Generator Filter Adapter API","ref-gfa.htm");
desc[dl][22]=new Array("Custom Adapter Reference ","ref-cra.htm");
desc[dl][23]=new Array("About Custom Adapters","ref-cra2.htm");
desc[dl][24]=new Array("Custom Recorder Adapter API","ref-cra3.htm");
desc[dl][25]=new Array("Custom Script Generator Adapter API","ref-sga.htm");

sl=st.length;
st[sl]=new Array(256);

st[sl][95]=new Array("_tcslen","_tcscpy","_entry","_tcscat","_progress","_generator");
st[sl][95]["_tcslen"]=new Array(0,17,20,21,24,25);
st[sl][95]["_tcscpy"]=new Array(0,17,20,21,24,25);
st[sl][95]["_entry"]=new Array(0,9);
st[sl][95]["_tcscat"]=new Array(0,17,21,24,25);
st[sl][95]["_progress"]=new Array(0,11);
st[sl][95]["_generator"]=new Array(0,11);

st[sl][97]=new Array("apisgen","appropriate","actuality","actual","again","argument","annotations","additional","add","apisgenadapt","anything","apifiltering","audience","archive","active","arguments","asked","api","adhere","assigned","api_proxy","above","africa","available","auditable","api_exit","allocate","america","attaches","api_id","ancillary","aut","ability","agreed-upon","according","artifacts","assert","administrato","adapters","activates","allow","activities","adapter","address","appear","allows","access","assets","affects","appears","always","adapter-defi","apis","asia","adds","away","alignment","alignment_ui","api_entry","api_enrty","advapi32.dll","assigning","application","alternativel","ambiguity","automaticall","api_single","automated","allocated","associate","applications","application-","associated","adapter-supp","association","australia");
st[sl][97]["apisgen"]=new Array(0,17);
st[sl][97]["appropriate"]=new Array(0,17,21,24);
st[sl][97]["actuality"]=new Array(0,2);
st[sl][97]["actual"]=new Array(0,9);
st[sl][97]["again"]=new Array(0,10,21);
st[sl][97]["argument"]=new Array(0,9,10,11,12,16,17,21,24,25);
st[sl][97]["annotations"]=new Array(0,10,11);
st[sl][97]["additional"]=new Array(0,1);
st[sl][97]["add"]=new Array(0,2,9,21);
st[sl][97]["apisgenadapt"]=new Array(0,21);
st[sl][97]["anything"]=new Array(0,7,9);
st[sl][97]["apifiltering"]=new Array(0,21);
st[sl][97]["audience"]=new Array(0,7);
st[sl][97]["archive"]=new Array(0,7);
st[sl][97]["active"]=new Array(0,2);
st[sl][97]["arguments"]=new Array(0,11,12,15,16,17,21,24,25);
st[sl][97]["asked"]=new Array(0,10);
st[sl][97]["api"]=new Array(0,0,1,2,3,4,7,8,9,10,11,12,15,17,18,19,20,21,23,24,25);
st[sl][97]["adhere"]=new Array(0,12,21,24,25);
st[sl][97]["assigned"]=new Array(0,17,21);
st[sl][97]["api_proxy"]=new Array(0,9);
st[sl][97]["above"]=new Array(0,9,12);
st[sl][97]["africa"]=new Array(0,7);
st[sl][97]["available"]=new Array(0,5,7,21);
st[sl][97]["auditable"]=new Array(0,7);
st[sl][97]["api_exit"]=new Array(0,9);
st[sl][97]["allocate"]=new Array(0,10);
st[sl][97]["america"]=new Array(0,7);
st[sl][97]["attaches"]=new Array(0,2);
st[sl][97]["api_id"]=new Array(0,9,21);
st[sl][97]["ancillary"]=new Array(0,3,5);
st[sl][97]["aut"]=new Array(0,2,9,17,20,21);
st[sl][97]["ability"]=new Array(0,3);
st[sl][97]["agreed-upon"]=new Array(0,7);
st[sl][97]["according"]=new Array(0,10);
st[sl][97]["artifacts"]=new Array(0,7);
st[sl][97]["assert"]=new Array(0,10);
st[sl][97]["administrato"]=new Array(0,7);
st[sl][97]["adapters"]=new Array(0,0,1,2,3,5,7,8,9,10,11,12,15,17,19,20,21,23,24,25);
st[sl][97]["activates"]=new Array(0,20);
st[sl][97]["allow"]=new Array(0,10,11);
st[sl][97]["activities"]=new Array(0,7);
st[sl][97]["adapter"]=new Array(0,0,2,4,5,9,10,11,12,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][97]["address"]=new Array(0,21);
st[sl][97]["appear"]=new Array(0,7,9,12,21,24);
st[sl][97]["allows"]=new Array(0,2);
st[sl][97]["access"]=new Array(0,7,10);
st[sl][97]["assets"]=new Array(0,7);
st[sl][97]["affects"]=new Array(0,1);
st[sl][97]["appears"]=new Array(0,11,12,17,25);
st[sl][97]["always"]=new Array(0,11);
st[sl][97]["adapter-defi"]=new Array(0,11,12,16,17,21,24,25);
st[sl][97]["apis"]=new Array(0,7,19,23);
st[sl][97]["asia"]=new Array(0,7);
st[sl][97]["adds"]=new Array(0,2,9);
st[sl][97]["away"]=new Array(0,21);
st[sl][97]["alignment"]=new Array(0,9);
st[sl][97]["alignment_ui"]=new Array(0,9);
st[sl][97]["api_entry"]=new Array(0,9);
st[sl][97]["api_enrty"]=new Array(0,9);
st[sl][97]["advapi32.dll"]=new Array(0,2);
st[sl][97]["assigning"]=new Array(0,11);
st[sl][97]["application"]=new Array(0,2,7,11,24);
st[sl][97]["alternativel"]=new Array(0,9);
st[sl][97]["ambiguity"]=new Array(0,11);
st[sl][97]["automaticall"]=new Array(0,7,9,10);
st[sl][97]["api_single"]=new Array(0,9,21);
st[sl][97]["automated"]=new Array(0,7);
st[sl][97]["allocated"]=new Array(0,17,20,21,24,25);
st[sl][97]["associate"]=new Array(0,7,21);
st[sl][97]["applications"]=new Array(0,7);
st[sl][97]["application-"]=new Array(0,2,20);
st[sl][97]["associated"]=new Array(0,2,7,9,10,11,17,20,21);
st[sl][97]["adapter-supp"]=new Array(0,4,21,24);
st[sl][97]["association"]=new Array(0,7);
st[sl][97]["australia"]=new Array(0,7);

st[sl][98]=new Array("bea","buf","beginning","bar","box","button","back","bool","buf2","base","bind","bars","begin","bottom","break","block","based","beside","build","baselines","basic","branches","badly","binary","bullet","below","behavior","becomes","buffer","besides","begins","boxes","bytes","blocks");
st[sl][98]["bea"]=new Array(0,24);
st[sl][98]["buf"]=new Array(0,17,21,24,25);
st[sl][98]["beginning"]=new Array(0,9);
st[sl][98]["bar"]=new Array(0,11);
st[sl][98]["box"]=new Array(0,1,2,5,11,17,19,20,21,23,24,25);
st[sl][98]["button"]=new Array(0,12,21,24,25);
st[sl][98]["back"]=new Array(0,2,7);
st[sl][98]["bool"]=new Array(0,17,20,21,24,25);
st[sl][98]["buf2"]=new Array(0,21);
st[sl][98]["base"]=new Array(0,10,17);
st[sl][98]["bind"]=new Array(0,17,25);
st[sl][98]["bars"]=new Array(0,11);
st[sl][98]["begin"]=new Array(0,9,24);
st[sl][98]["bottom"]=new Array(0,12);
st[sl][98]["break"]=new Array(0,9,10,21);
st[sl][98]["block"]=new Array(0,9,10,11,24);
st[sl][98]["based"]=new Array(0,4);
st[sl][98]["beside"]=new Array(0,24,25);
st[sl][98]["build"]=new Array(0,2,3);
st[sl][98]["baselines"]=new Array(0,7);
st[sl][98]["basic"]=new Array(0,2,7,11,17,25);
st[sl][98]["branches"]=new Array(0,3);
st[sl][98]["badly"]=new Array(0,9);
st[sl][98]["binary"]=new Array(0,11);
st[sl][98]["bullet"]=new Array(0,21);
st[sl][98]["below"]=new Array(0,1,2,9,11,12,17,20,21,24,25);
st[sl][98]["behavior"]=new Array(0,9);
st[sl][98]["becomes"]=new Array(0,2);
st[sl][98]["buffer"]=new Array(0,10,20);
st[sl][98]["besides"]=new Array(0,21);
st[sl][98]["begins"]=new Array(0,9);
st[sl][98]["boxes"]=new Array(0,1,11,17,25);
st[sl][98]["bytes"]=new Array(0,9);
st[sl][98]["blocks"]=new Array(0,10);

st[sl][99]=new Array("chosen","column","contain","customer","complete","clientip","companion","custom","couldn","common","click","check","checkbox","change","connects","created","comments","choice","checked","create","called","command","copyfile","combination","correspondin","capture","category","conveyed","custadapterp","categories","comma","custadapter","contains","container","callback","checkapipack","configure","custom-forma","conveying","cancelscript","cpu","cancellation","configuratio","company","cstringarray","client","component","creation","collect","cannot","comment","contact","correct","current","contacting","computer","captured","captures","containing","chapter","contrast","customadapte","cleanup","causes","changes","choices","calls","counts","commas","cases","clicks","components","checks","codes","creates","cancels","completion","case","core","call","copy","code","char","conn","crypt32.dll","comma-separa","completed","commences","clientport","controller","cryptographi","collection","concludes","cupertino","communicatio","communicates","communicated","controlled","controller-a","connection","capabilities","communicate","clearquest","client-side");
st[sl][99]["chosen"]=new Array(0,21,24,25);
st[sl][99]["column"]=new Array(0,17,25);
st[sl][99]["contain"]=new Array(0,10,16,24);
st[sl][99]["customer"]=new Array(0,7,21);
st[sl][99]["complete"]=new Array(0,9,20);
st[sl][99]["clientip"]=new Array(0,21);
st[sl][99]["companion"]=new Array(0,24);
st[sl][99]["custom"]=new Array(0,0,1,3,4,5,8,10,11,12,17,21,22,23,24,25);
st[sl][99]["couldn"]=new Array(0,24);
st[sl][99]["common"]=new Array(0,9);
st[sl][99]["click"]=new Array(0,7);
st[sl][99]["check"]=new Array(0,17,21,24,25);
st[sl][99]["checkbox"]=new Array(0,11);
st[sl][99]["change"]=new Array(0,7);
st[sl][99]["connects"]=new Array(0,2);
st[sl][99]["created"]=new Array(0,3);
st[sl][99]["comments"]=new Array(0,9,10,17,20,21,24,25);
st[sl][99]["choice"]=new Array(0,12,15,17,21,24,25);
st[sl][99]["checked"]=new Array(0,11,17,25);
st[sl][99]["create"]=new Array(0,3,7,17,21,24,25);
st[sl][99]["called"]=new Array(0,2,7,9,10,17,21,24);
st[sl][99]["command"]=new Array(0,17,25);
st[sl][99]["copyfile"]=new Array(0,25);
st[sl][99]["combination"]=new Array(0,9);
st[sl][99]["correspondin"]=new Array(0,2,5,9,11,17,19,20,23,25);
st[sl][99]["capture"]=new Array(0,2);
st[sl][99]["category"]=new Array(0,2);
st[sl][99]["conveyed"]=new Array(0,21,24,25);
st[sl][99]["custadapterp"]=new Array(0,21);
st[sl][99]["categories"]=new Array(0,11,16);
st[sl][99]["comma"]=new Array(0,17,21,24,25);
st[sl][99]["custadapter"]=new Array(0,21);
st[sl][99]["contains"]=new Array(0,2,5,7,8,10,17,25);
st[sl][99]["container"]=new Array(0,10,17,20,21,24,25);
st[sl][99]["callback"]=new Array(0,24,25);
st[sl][99]["checkapipack"]=new Array(0,17,21);
st[sl][99]["configure"]=new Array(0,12,21,24,25);
st[sl][99]["custom-forma"]=new Array(0,21,24);
st[sl][99]["conveying"]=new Array(0,12,21,24);
st[sl][99]["cancelscript"]=new Array(0,25);
st[sl][99]["cpu"]=new Array(0,17,25);
st[sl][99]["cancellation"]=new Array(0,25);
st[sl][99]["configuratio"]=new Array(0,11,12,14,15,16,17,21,24,25);
st[sl][99]["company"]=new Array(0,7);
st[sl][99]["cstringarray"]=new Array(0,17,21,24,25);
st[sl][99]["client"]=new Array(0,2,21);
st[sl][99]["component"]=new Array(0,2,9,19,20);
st[sl][99]["creation"]=new Array(0,10);
st[sl][99]["collect"]=new Array(0,7);
st[sl][99]["cannot"]=new Array(0,2,16,17,21,24,25);
st[sl][99]["comment"]=new Array(0,10,11,24);
st[sl][99]["contact"]=new Array(0,7);
st[sl][99]["correct"]=new Array(0,2,9);
st[sl][99]["current"]=new Array(0,9);
st[sl][99]["contacting"]=new Array(0,7);
st[sl][99]["computer"]=new Array(0,7);
st[sl][99]["captured"]=new Array(0,2);
st[sl][99]["captures"]=new Array(0,20);
st[sl][99]["containing"]=new Array(0,10,17,20,21,24,25);
st[sl][99]["chapter"]=new Array(0,0,2,8,9,19,20,23);
st[sl][99]["contrast"]=new Array(0,1,4);
st[sl][99]["customadapte"]=new Array(0,5);
st[sl][99]["cleanup"]=new Array(0,9,24,25);
st[sl][99]["causes"]=new Array(0,21,24,25);
st[sl][99]["changes"]=new Array(0,7);
st[sl][99]["choices"]=new Array(0,0,1,12,17,21,24,25);
st[sl][99]["calls"]=new Array(0,2,9,15,17,19,20,21,24,25);
st[sl][99]["counts"]=new Array(0,17,25);
st[sl][99]["commas"]=new Array(0,16);
st[sl][99]["cases"]=new Array(0,7);
st[sl][99]["clicks"]=new Array(0,2,12,21,24,25);
st[sl][99]["components"]=new Array(0,9,20,23);
st[sl][99]["checks"]=new Array(0,17,21,24,25);
st[sl][99]["codes"]=new Array(0,17,25);
st[sl][99]["creates"]=new Array(0,24);
st[sl][99]["cancels"]=new Array(0,25);
st[sl][99]["completion"]=new Array(0,17,25);
st[sl][99]["case"]=new Array(0,7,9,10,21,24,25);
st[sl][99]["core"]=new Array(0,2);
st[sl][99]["call"]=new Array(0,2,9,10,12,15,17,20,21,24,25);
st[sl][99]["copy"]=new Array(0,17,20,21,24,25);
st[sl][99]["code"]=new Array(0,10,21,24);
st[sl][99]["char"]=new Array(0,9,21);
st[sl][99]["conn"]=new Array(0,21);
st[sl][99]["crypt32.dll"]=new Array(0,2);
st[sl][99]["comma-separa"]=new Array(0,12,20);
st[sl][99]["completed"]=new Array(0,25);
st[sl][99]["commences"]=new Array(0,21);
st[sl][99]["clientport"]=new Array(0,21);
st[sl][99]["controller"]=new Array(0,2,17,21);
st[sl][99]["cryptographi"]=new Array(0,2);
st[sl][99]["collection"]=new Array(0,2);
st[sl][99]["concludes"]=new Array(0,24);
st[sl][99]["cupertino"]=new Array(0,7);
st[sl][99]["communicatio"]=new Array(0,2,23,25);
st[sl][99]["communicates"]=new Array(0,17,21,24,25);
st[sl][99]["communicated"]=new Array(0,17,25);
st[sl][99]["controlled"]=new Array(0,12);
st[sl][99]["controller-a"]=new Array(0,21);
st[sl][99]["connection"]=new Array(0,21);
st[sl][99]["capabilities"]=new Array(0,0);
st[sl][99]["communicate"]=new Array(0,2,11,21,24);
st[sl][99]["clearquest"]=new Array(0,7);
st[sl][99]["client-side"]=new Array(0,2);

st[sl][35]=new Array("#include","#define");
st[sl][35]["#include"]=new Array(0,9,21);
st[sl][35]["#define"]=new Array(0,9,21);

st[sl][100]=new Array("different","directory","discarded","documents","dynamic-link","dll","djm","datastore","dynamically","dll_process_","documentatio","definitions","default_scri","documented","doesn","diagram","displays","design","dllmain","data","dlls","deal","date","does","described","dwtimetimest","descriptive","delphi","decide","devise","define","dllname","dwtime","defined","deployment","desired","displayed","double","delete","dimmed","disable","during","dialog","doing","dword","determines","displaying","development","dependent","declared","description","disables","dwticket","directly","detected","dblib","directed","designated","diagnostic","describes","display","default","defect","detect","displaycusto","direct","designates","delimeters","delimeter","datapools","dwtimestamp","develop","determine","developed","department","describe","defines","defects","developing","directs","dwresult","depending");
st[sl][100]["different"]=new Array(0,3,7,9,12,15);
st[sl][100]["directory"]=new Array(0,2,3);
st[sl][100]["discarded"]=new Array(0,21);
st[sl][100]["documents"]=new Array(0,7,8,9,19,23);
st[sl][100]["dynamic-link"]=new Array(0,2,3);
st[sl][100]["dll"]=new Array(0,2,9,20,21);
st[sl][100]["djm"]=new Array(0,21);
st[sl][100]["datastore"]=new Array(0,7,17);
st[sl][100]["dynamically"]=new Array(0,2,10);
st[sl][100]["dll_process_"]=new Array(0,9);
st[sl][100]["documentatio"]=new Array(0,7,12,21,24,25);
st[sl][100]["definitions"]=new Array(0,21);
st[sl][100]["default_scri"]=new Array(0,11,24);
st[sl][100]["documented"]=new Array(0,2,7,19,20);
st[sl][100]["doesn"]=new Array(0,21);
st[sl][100]["diagram"]=new Array(0,2,3);
st[sl][100]["displays"]=new Array(0,5,11);
st[sl][100]["design"]=new Array(0,23);
st[sl][100]["dllmain"]=new Array(0,9);
st[sl][100]["data"]=new Array(0,2,4,9,11,17,21,25);
st[sl][100]["dlls"]=new Array(0,2,3,8);
st[sl][100]["deal"]=new Array(0,17,21,24,25);
st[sl][100]["date"]=new Array(0,21);
st[sl][100]["does"]=new Array(0,11,12,17,25);
st[sl][100]["described"]=new Array(0,8,9,17,19,21,23,24,25);
st[sl][100]["dwtimetimest"]=new Array(0,9);
st[sl][100]["descriptive"]=new Array(0,2);
st[sl][100]["delphi"]=new Array(0,7);
st[sl][100]["decide"]=new Array(0,2,9);
st[sl][100]["devise"]=new Array(0,5);
st[sl][100]["define"]=new Array(0,12,21,24);
st[sl][100]["dllname"]=new Array(0,9);
st[sl][100]["dwtime"]=new Array(0,9);
st[sl][100]["defined"]=new Array(0,2,7,9,12,16,21,24,25);
st[sl][100]["deployment"]=new Array(0,2);
st[sl][100]["desired"]=new Array(0,5);
st[sl][100]["displayed"]=new Array(0,17,21,24,25);
st[sl][100]["double"]=new Array(0,9);
st[sl][100]["delete"]=new Array(0,10);
st[sl][100]["dimmed"]=new Array(0,11);
st[sl][100]["disable"]=new Array(0,11);
st[sl][100]["during"]=new Array(0,2,7,9,11,15);
st[sl][100]["dialog"]=new Array(0,1,2,5,11,17,19,20,21,23,24,25);
st[sl][100]["doing"]=new Array(0,21,24,25);
st[sl][100]["dword"]=new Array(0,9);
st[sl][100]["determines"]=new Array(0,21);
st[sl][100]["displaying"]=new Array(0,11,21,24);
st[sl][100]["development"]=new Array(0,7);
st[sl][100]["dependent"]=new Array(0,3);
st[sl][100]["declared"]=new Array(0,17,21,24,25);
st[sl][100]["description"]=new Array(0,7,9,10,11,12,16,17,19,20,21,23,24,25);
st[sl][100]["disables"]=new Array(0,17,20,21,24,25);
st[sl][100]["dwticket"]=new Array(0,9);
st[sl][100]["directly"]=new Array(0,7);
st[sl][100]["detected"]=new Array(0,1);
st[sl][100]["dblib"]=new Array(0,2);
st[sl][100]["directed"]=new Array(0,2);
st[sl][100]["designated"]=new Array(0,17,20);
st[sl][100]["diagnostic"]=new Array(0,7);
st[sl][100]["describes"]=new Array(0,0,2,7,10,11,17,21,24,25);
st[sl][100]["display"]=new Array(0,5,7,11,12,17,21,24,25);
st[sl][100]["default"]=new Array(0,3,7,9,10,12,21);
st[sl][100]["defect"]=new Array(0,7);
st[sl][100]["detect"]=new Array(0,3);
st[sl][100]["displaycusto"]=new Array(0,21,24,25);
st[sl][100]["direct"]=new Array(0,21);
st[sl][100]["designates"]=new Array(0,17,21);
st[sl][100]["delimeters"]=new Array(0,17,21,24,25);
st[sl][100]["delimeter"]=new Array(0,17,21,24,25);
st[sl][100]["datapools"]=new Array(0,17,25);
st[sl][100]["dwtimestamp"]=new Array(0,9);
st[sl][100]["develop"]=new Array(0,0,2,7,15,19,25);
st[sl][100]["determine"]=new Array(0,7,10);
st[sl][100]["developed"]=new Array(0,1,2,7);
st[sl][100]["department"]=new Array(0,7);
st[sl][100]["describe"]=new Array(0,11);
st[sl][100]["defines"]=new Array(0,12);
st[sl][100]["defects"]=new Array(0,7);
st[sl][100]["developing"]=new Array(0,2,5);
st[sl][100]["directs"]=new Array(0,2,19);
st[sl][100]["dwresult"]=new Array(0,9);
st[sl][100]["depending"]=new Array(0,12);

st[sl][101]=new Array("e-mail","errormessage","extended","explorer","extern","errormsgsize","ejb","end","enough","executing","extend","example","europe","enabled","exceed","entered","ejbname","editing","enable","edited","elapsed","ensure","explains","earmarks","environments","every","entry","effect","exact","except","element","event","extract","existing","extdefs.h","examples","edits","entries","enter","entering","errors","experts","extends","either","error","entirely","errormsg","enables","even","east","else","endl","ends","eliminates","exchanged","extensibilit","extension","extensible","earmarked","extending");
st[sl][101]["e-mail"]=new Array(0,7);
st[sl][101]["errormessage"]=new Array(0,21,24,25);
st[sl][101]["extended"]=new Array(0,1,2,7,21);
st[sl][101]["explorer"]=new Array(0,2);
st[sl][101]["extern"]=new Array(0,17,20,21,24,25);
st[sl][101]["errormsgsize"]=new Array(0,21);
st[sl][101]["ejb"]=new Array(0,12);
st[sl][101]["end"]=new Array(0,9,10);
st[sl][101]["enough"]=new Array(0,24);
st[sl][101]["executing"]=new Array(0,2);
st[sl][101]["extend"]=new Array(0,0,2,7,19,21);
st[sl][101]["example"]=new Array(0,2,7,9,10,16,17,20,21,24,25);
st[sl][101]["europe"]=new Array(0,7);
st[sl][101]["enabled"]=new Array(0,1,11,12,17,21,24,25);
st[sl][101]["exceed"]=new Array(0,17,20,21,24,25);
st[sl][101]["entered"]=new Array(0,17,21,24,25);
st[sl][101]["ejbname"]=new Array(0,12);
st[sl][101]["editing"]=new Array(0,11,21,24,25);
st[sl][101]["enable"]=new Array(0,11);
st[sl][101]["edited"]=new Array(0,21,24,25);
st[sl][101]["elapsed"]=new Array(0,9);
st[sl][101]["ensure"]=new Array(0,7);
st[sl][101]["explains"]=new Array(0,0);
st[sl][101]["earmarks"]=new Array(0,21);
st[sl][101]["environments"]=new Array(0,7);
st[sl][101]["every"]=new Array(0,17,21,24,25);
st[sl][101]["entry"]=new Array(0,9,11,17,25);
st[sl][101]["effect"]=new Array(0,2,17,21,24,25);
st[sl][101]["exact"]=new Array(0,9,11);
st[sl][101]["except"]=new Array(0,12,15);
st[sl][101]["element"]=new Array(0,7,9,10,17,20,21,24,25);
st[sl][101]["event"]=new Array(0,21,24,25);
st[sl][101]["extract"]=new Array(0,7);
st[sl][101]["existing"]=new Array(0,21);
st[sl][101]["extdefs.h"]=new Array(0,21);
st[sl][101]["examples"]=new Array(0,2,9);
st[sl][101]["edits"]=new Array(0,21,24);
st[sl][101]["entries"]=new Array(0,10,11);
st[sl][101]["enter"]=new Array(0,9,10,12,21,24);
st[sl][101]["entering"]=new Array(0,21,24,25);
st[sl][101]["errors"]=new Array(0,12);
st[sl][101]["experts"]=new Array(0,7);
st[sl][101]["extends"]=new Array(0,19);
st[sl][101]["either"]=new Array(0,9,17,21,24,25);
st[sl][101]["error"]=new Array(0,9,10,17,21,24,25);
st[sl][101]["entirely"]=new Array(0,21,24,25);
st[sl][101]["errormsg"]=new Array(0,21);
st[sl][101]["enables"]=new Array(0,11);
st[sl][101]["even"]=new Array(0,7);
st[sl][101]["east"]=new Array(0,7);
st[sl][101]["else"]=new Array(0,9,17,20,21,24,25);
st[sl][101]["endl"]=new Array(0,24);
st[sl][101]["ends"]=new Array(0,24);
st[sl][101]["eliminates"]=new Array(0,12);
st[sl][101]["exchanged"]=new Array(0,2,17);
st[sl][101]["extensibilit"]=new Array(0,0,1,2,3,4,5,6,7,15,20);
st[sl][101]["extension"]=new Array(0,2,24,25);
st[sl][101]["extensible"]=new Array(0,2);
st[sl][101]["earmarked"]=new Array(0,2);
st[sl][101]["extending"]=new Array(0,0,2,9);

st[sl][102]=new Array("facsimile","front-end","forwarded","forwarding","filtering","fragment","filename","fashion","form","full","free","four","file","find","fptr","flag","ffer","fall","failure","failed","found","filled","forward","false","future","feature","figure","functional","feedback","framework","functions","function","floating","format","first","following","features","filter","filters","formatted","fills","fields","forms","follows","folder","fails","finds","files","folders");
st[sl][102]["facsimile"]=new Array(0,7);
st[sl][102]["front-end"]=new Array(0,2);
st[sl][102]["forwarded"]=new Array(0,21);
st[sl][102]["forwarding"]=new Array(0,21);
st[sl][102]["filtering"]=new Array(0,1,2,4,17,20,21);
st[sl][102]["fragment"]=new Array(0,12);
st[sl][102]["filename"]=new Array(0,17,21,24);
st[sl][102]["fashion"]=new Array(0,2);
st[sl][102]["form"]=new Array(0,7);
st[sl][102]["full"]=new Array(0,5,7);
st[sl][102]["free"]=new Array(0,7);
st[sl][102]["four"]=new Array(0,1);
st[sl][102]["file"]=new Array(0,2,5,9,10,11,17,19,21,23,24,25);
st[sl][102]["find"]=new Array(0,2,3,21);
st[sl][102]["fptr"]=new Array(0,24,25);
st[sl][102]["flag"]=new Array(0,10);
st[sl][102]["ffer"]=new Array(0,10);
st[sl][102]["fall"]=new Array(0,16);
st[sl][102]["failure"]=new Array(0,9);
st[sl][102]["failed"]=new Array(0,10,21,24,25);
st[sl][102]["found"]=new Array(0,10,21);
st[sl][102]["filled"]=new Array(0,9);
st[sl][102]["forward"]=new Array(0,2);
st[sl][102]["false"]=new Array(0,10,25);
st[sl][102]["future"]=new Array(0,9);
st[sl][102]["feature"]=new Array(0,11);
st[sl][102]["figure"]=new Array(0,11,12);
st[sl][102]["functional"]=new Array(0,7);
st[sl][102]["feedback"]=new Array(0,7);
st[sl][102]["framework"]=new Array(0,0,1,2,3,4,5,6,7,15,20);
st[sl][102]["functions"]=new Array(0,1,2,8,9,17,19,20,21,24,25);
st[sl][102]["function"]=new Array(0,2,8,9,10,17,20,21,24,25);
st[sl][102]["floating"]=new Array(0,11);
st[sl][102]["format"]=new Array(0,1,5,7,11,12,16,17,21,24,25);
st[sl][102]["first"]=new Array(0,1,10,17,25);
st[sl][102]["following"]=new Array(0,2,3,7,9,10,11,12,16,17,19,20,21,23,24,25);
st[sl][102]["features"]=new Array(0,8,10,11);
st[sl][102]["filter"]=new Array(0,2,3,7,9,11,17,19,20,21);
st[sl][102]["filters"]=new Array(0,3,21);
st[sl][102]["formatted"]=new Array(0,25);
st[sl][102]["fills"]=new Array(0,7);
st[sl][102]["fields"]=new Array(0,7);
st[sl][102]["forms"]=new Array(0,7);
st[sl][102]["follows"]=new Array(0,0,7,9,21);
st[sl][102]["folder"]=new Array(0,2,3,5);
st[sl][102]["fails"]=new Array(0,24);
st[sl][102]["finds"]=new Array(0,0);
st[sl][102]["files"]=new Array(0,3);
st[sl][102]["folders"]=new Array(0,3);

st[sl][103]=new Array("general","global","gfa","given","getoptions","guide","getting","gui","gblibid","guidance","getscriptgen","getdisplayna","generate","gives","gather","gfas","grid","good","gets","generator","generates","getapirecada","generator_th","generator_cp","generator:cu","generator_us","generator_ve","generator_di","generator_se","generator_co","generator_pl","getannotatio","generator_bi","generators","getapiandwra","general_star","getstatus","getenvironme","generation","generated","generating");
st[sl][103]["general"]=new Array(0,11,24);
st[sl][103]["global"]=new Array(0,9);
st[sl][103]["gfa"]=new Array(0,21);
st[sl][103]["given"]=new Array(0,4);
st[sl][103]["getoptions"]=new Array(0,11,12,15,16,17,21,24,25);
st[sl][103]["guide"]=new Array(0,7);
st[sl][103]["getting"]=new Array(0,7);
st[sl][103]["gui"]=new Array(0,11,12,17,21,24,25);
st[sl][103]["gblibid"]=new Array(0,9);
st[sl][103]["guidance"]=new Array(0,7);
st[sl][103]["getscriptgen"]=new Array(0,21);
st[sl][103]["getdisplayna"]=new Array(0,20,21,24,25);
st[sl][103]["generate"]=new Array(0,2);
st[sl][103]["gives"]=new Array(0,20);
st[sl][103]["gather"]=new Array(0,21,24,25);
st[sl][103]["gfas"]=new Array(0,21);
st[sl][103]["grid"]=new Array(0,12,17,21,24,25);
st[sl][103]["good"]=new Array(0,21);
st[sl][103]["gets"]=new Array(0,9);
st[sl][103]["generator"]=new Array(0,1,2,3,4,5,7,8,9,10,11,12,15,17,19,20,21,23,24,25);
st[sl][103]["generates"]=new Array(0,2,17,19,23,25);
st[sl][103]["getapirecada"]=new Array(0,20);
st[sl][103]["generator_th"]=new Array(0,17,21,24,25);
st[sl][103]["generator_cp"]=new Array(0,17,25);
st[sl][103]["generator:cu"]=new Array(0,12,17,25);
st[sl][103]["generator_us"]=new Array(0,17,25);
st[sl][103]["generator_ve"]=new Array(0,17,25);
st[sl][103]["generator_di"]=new Array(0,17,25);
st[sl][103]["generator_se"]=new Array(0,17);
st[sl][103]["generator_co"]=new Array(0,17,25);
st[sl][103]["generator_pl"]=new Array(0,17,25);
st[sl][103]["getannotatio"]=new Array(0,8,10,15,17);
st[sl][103]["generator_bi"]=new Array(0,17,25);
st[sl][103]["generators"]=new Array(0,2);
st[sl][103]["getapiandwra"]=new Array(0,20);
st[sl][103]["general_star"]=new Array(0,11,24);
st[sl][103]["getstatus"]=new Array(0,17);
st[sl][103]["getenvironme"]=new Array(0,21);
st[sl][103]["generation"]=new Array(0,0,1,2,5,7,8,9,10,11,13,17,19,21,23,25);
st[sl][103]["generated"]=new Array(0,2,4,9,10,11,17,25);
st[sl][103]["generating"]=new Array(0,2);

st[sl][104]=new Array("hello","hexadecimal","hinstance","http","help","html","host","handle","having","helloworld2","hellowworld.","helloworld1","helloworldte","helloworld.d","history","happens","header","however","headers");
st[sl][104]["hello"]=new Array(0,17);
st[sl][104]["hexadecimal"]=new Array(0,21);
st[sl][104]["hinstance"]=new Array(0,9);
st[sl][104]["http"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][104]["help"]=new Array(0,7,21,24,25);
st[sl][104]["html"]=new Array(0,7);
st[sl][104]["host"]=new Array(0,2);
st[sl][104]["handle"]=new Array(0,9);
st[sl][104]["having"]=new Array(0,12);
st[sl][104]["helloworld2"]=new Array(0,20);
st[sl][104]["hellowworld."]=new Array(0,20);
st[sl][104]["helloworld1"]=new Array(0,20);
st[sl][104]["helloworldte"]=new Array(0,2);
st[sl][104]["helloworld.d"]=new Array(0,20);
st[sl][104]["history"]=new Array(0,7,21);
st[sl][104]["happens"]=new Array(0,2,20);
st[sl][104]["header"]=new Array(0,3,9);
st[sl][104]["however"]=new Array(0,21,24);
st[sl][104]["headers"]=new Array(0,3,9,21);

st[sl][105]=new Array("intended","install","isapirecorde","initial","isapisgenada","idnum","initializesc","initializati","initializere","identifier","identifies","inside","include","inumpairs","ignore","invalid","installation","illustrates","instead","isapigenfilt","iscustomreco","isize","inspects","iscustomscri","illustrating","initiates","indicate","identified","increment","introduction","identifying","integrations","int","integration","ioffszlibrar","increments","includes","insert","initialized","included","installed","initialize","input","info@rationa","iinput","installing","iinput2","information","inputs","illustrated","issues","implies","internet","interest","interact","infosize","items","integer","internal","icons","integrated","inserts","internally","implementing","implement","implementati","ides","iiop","icon","info","intervals","insertions","instructs","indicated","interpret","indicating","implements","insertvalsiz","insertval","instructions","insertion","internetconn","implemented","indicates","invalid_tick","including","interface","independentl","interesting","interjected","intermixed","intercepted","interested","inserttype");
st[sl][105]["intended"]=new Array(0,7);
st[sl][105]["install"]=new Array(0,2,5);
st[sl][105]["isapirecorde"]=new Array(0,17,20,21);
st[sl][105]["initial"]=new Array(0,21,24);
st[sl][105]["isapisgenada"]=new Array(0,17,20,21);
st[sl][105]["idnum"]=new Array(0,17,21);
st[sl][105]["initializesc"]=new Array(0,17,25);
st[sl][105]["initializati"]=new Array(0,9,17,24,25);
st[sl][105]["initializere"]=new Array(0,24,25);
st[sl][105]["identifier"]=new Array(0,9);
st[sl][105]["identifies"]=new Array(0,2,9,17,20,21,24,25);
st[sl][105]["inside"]=new Array(0,1,9,10,17);
st[sl][105]["include"]=new Array(0,3,9,11,12,21,24,25);
st[sl][105]["inumpairs"]=new Array(0,20);
st[sl][105]["ignore"]=new Array(0,21);
st[sl][105]["invalid"]=new Array(0,21,24);
st[sl][105]["installation"]=new Array(0,2,3,7);
st[sl][105]["illustrates"]=new Array(0,2,9,17);
st[sl][105]["instead"]=new Array(0,2,12);
st[sl][105]["isapigenfilt"]=new Array(0,17,20,21);
st[sl][105]["iscustomreco"]=new Array(0,24,25);
st[sl][105]["isize"]=new Array(0,9);
st[sl][105]["inspects"]=new Array(0,2,21);
st[sl][105]["iscustomscri"]=new Array(0,24,25);
st[sl][105]["illustrating"]=new Array(0,9);
st[sl][105]["initiates"]=new Array(0,2,5);
st[sl][105]["indicate"]=new Array(0,17,20,21,24,25);
st[sl][105]["identified"]=new Array(0,21);
st[sl][105]["increment"]=new Array(0,9);
st[sl][105]["introduction"]=new Array(0,0,1,2,3,4,5,6);
st[sl][105]["identifying"]=new Array(0,9);
st[sl][105]["integrations"]=new Array(0,7);
st[sl][105]["int"]=new Array(0,9,10,17,20,21,24,25);
st[sl][105]["integration"]=new Array(0,7);
st[sl][105]["ioffszlibrar"]=new Array(0,21);
st[sl][105]["increments"]=new Array(0,21);
st[sl][105]["includes"]=new Array(0,2,17,19,21,24,25);
st[sl][105]["insert"]=new Array(0,10,11,24);
st[sl][105]["initialized"]=new Array(0,9);
st[sl][105]["included"]=new Array(0,10);
st[sl][105]["installed"]=new Array(0,1,2,3,5,7);
st[sl][105]["initialize"]=new Array(0,9,24,25);
st[sl][105]["input"]=new Array(0,5,7,9,10,17,20,21,24,25);
st[sl][105]["info@rationa"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][105]["iinput"]=new Array(0,9);
st[sl][105]["installing"]=new Array(0,0,2,3,7);
st[sl][105]["iinput2"]=new Array(0,9);
st[sl][105]["information"]=new Array(0,2,7,11,20,21,25);
st[sl][105]["inputs"]=new Array(0,7);
st[sl][105]["illustrated"]=new Array(0,2,12,17,20,21,24,25);
st[sl][105]["issues"]=new Array(0,21,24,25);
st[sl][105]["implies"]=new Array(0,1);
st[sl][105]["internet"]=new Array(0,2);
st[sl][105]["interest"]=new Array(0,2);
st[sl][105]["interact"]=new Array(0,5);
st[sl][105]["infosize"]=new Array(0,20);
st[sl][105]["items"]=new Array(0,20);
st[sl][105]["integer"]=new Array(0,10,17);
st[sl][105]["internal"]=new Array(0,10,11,16);
st[sl][105]["icons"]=new Array(0,11);
st[sl][105]["integrated"]=new Array(0,7);
st[sl][105]["inserts"]=new Array(0,10);
st[sl][105]["internally"]=new Array(0,11);
st[sl][105]["implementing"]=new Array(0,0,2,5,20);
st[sl][105]["implement"]=new Array(0,0,15,17,20,21,23,24,25);
st[sl][105]["implementati"]=new Array(0,21);
st[sl][105]["ides"]=new Array(0,7);
st[sl][105]["iiop"]=new Array(0,2);
st[sl][105]["icon"]=new Array(0,2,11,24);
st[sl][105]["info"]=new Array(0,20);
st[sl][105]["intervals"]=new Array(0,25);
st[sl][105]["insertions"]=new Array(0,10);
st[sl][105]["instructs"]=new Array(0,2);
st[sl][105]["indicated"]=new Array(0,17,21,24,25);
st[sl][105]["interpret"]=new Array(0,11);
st[sl][105]["indicating"]=new Array(0,10,17,25);
st[sl][105]["implements"]=new Array(0,9);
st[sl][105]["insertvalsiz"]=new Array(0,10);
st[sl][105]["insertval"]=new Array(0,10);
st[sl][105]["instructions"]=new Array(0,2);
st[sl][105]["insertion"]=new Array(0,10);
st[sl][105]["internetconn"]=new Array(0,2);
st[sl][105]["implemented"]=new Array(0,2,3,17,21,23,24,25);
st[sl][105]["indicates"]=new Array(0,16,17,21,24,25);
st[sl][105]["invalid_tick"]=new Array(0,9);
st[sl][105]["including"]=new Array(0,9,21);
st[sl][105]["interface"]=new Array(0,1,7,20);
st[sl][105]["independentl"]=new Array(0,1);
st[sl][105]["interesting"]=new Array(0,2);
st[sl][105]["interjected"]=new Array(0,2);
st[sl][105]["intermixed"]=new Array(0,16);
st[sl][105]["intercepted"]=new Array(0,20);
st[sl][105]["interested"]=new Array(0,21);
st[sl][105]["inserttype"]=new Array(0,10);

st[sl][106]=new Array("job","java");
st[sl][106]["job"]=new Array(0,9);
st[sl][106]["java"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);

st[sl][107]=new Array("known","kmhello","kernel32.dll");
st[sl][107]["known"]=new Array(0,3,12);
st[sl][107]["kmhello"]=new Array(0,12);
st[sl][107]["kernel32.dll"]=new Array(0,2);

st[sl][108]=new Array("libraryid","languages","lib","lexington","library_id","log","let","libraries","limitations","lpreserved","local","linkdll","length","loaded","located","locate","libid","large","lpvoid","listed","looking","last","list","line","left","lpdata","likely","library","location","language","lresult","locations","lpstr","lists","loops","looks","locks","loads","lines");
st[sl][108]["libraryid"]=new Array(0,9);
st[sl][108]["languages"]=new Array(0,2);
st[sl][108]["lib"]=new Array(0,3,21);
st[sl][108]["lexington"]=new Array(0,7);
st[sl][108]["library_id"]=new Array(0,9);
st[sl][108]["log"]=new Array(0,7);
st[sl][108]["let"]=new Array(0,21);
st[sl][108]["libraries"]=new Array(0,3,21);
st[sl][108]["limitations"]=new Array(0,0,4);
st[sl][108]["lpreserved"]=new Array(0,9);
st[sl][108]["local"]=new Array(0,10,17,21,24,25);
st[sl][108]["linkdll"]=new Array(0,17,20,21,24,25);
st[sl][108]["length"]=new Array(0,9);
st[sl][108]["loaded"]=new Array(0,2);
st[sl][108]["located"]=new Array(0,3);
st[sl][108]["locate"]=new Array(0,3);
st[sl][108]["libid"]=new Array(0,21);
st[sl][108]["large"]=new Array(0,24);
st[sl][108]["lpvoid"]=new Array(0,9);
st[sl][108]["listed"]=new Array(0,1,2,9,20,21);
st[sl][108]["looking"]=new Array(0,21);
st[sl][108]["last"]=new Array(0,1,10,17,25);
st[sl][108]["list"]=new Array(0,2,12,17,21,24,25);
st[sl][108]["line"]=new Array(0,10);
st[sl][108]["left"]=new Array(0,11);
st[sl][108]["lpdata"]=new Array(0,9);
st[sl][108]["likely"]=new Array(0,9);
st[sl][108]["library"]=new Array(0,2,9,20,21);
st[sl][108]["location"]=new Array(0,7,17,20,21,24,25);
st[sl][108]["language"]=new Array(0,1,11,23);
st[sl][108]["lresult"]=new Array(0,9);
st[sl][108]["locations"]=new Array(0,3,10);
st[sl][108]["lpstr"]=new Array(0,9,20);
st[sl][108]["lists"]=new Array(0,2,11);
st[sl][108]["loops"]=new Array(0,24);
st[sl][108]["looks"]=new Array(0,1);
st[sl][108]["locks"]=new Array(0,9);
st[sl][108]["loads"]=new Array(0,2);
st[sl][108]["lines"]=new Array(0,10);

st[sl][109]=new Array("model","maximum","mystruct_out","manual","myapirecorde","mb_ok","maintains","multiple","msg","manage","middle","method","myprotocol","mapping","modified","message","msgsize","msgtype","mysga","miscellaneou","microsoft","maintaining","met","major_type","mygfa.dll","myapiprotoco","maintain","may","major_wch_he","minor_wch_he","messagebox","multithreade","max_path","mysga.dll","mystruct","manuals","management","mentors","methods","makes","majorhdr","minorhdr","menu","made","msec","mystruct_in","milliseconds","methodology","method:custo");
st[sl][109]["model"]=new Array(0,7);
st[sl][109]["maximum"]=new Array(0,17,21,24,25);
st[sl][109]["mystruct_out"]=new Array(0,9);
st[sl][109]["manual"]=new Array(0,7);
st[sl][109]["myapirecorde"]=new Array(0,20);
st[sl][109]["mb_ok"]=new Array(0,17,21,24);
st[sl][109]["maintains"]=new Array(0,2);
st[sl][109]["multiple"]=new Array(0,4,10,17,21,25);
st[sl][109]["msg"]=new Array(0,17,25);
st[sl][109]["manage"]=new Array(0,7);
st[sl][109]["middle"]=new Array(0,7);
st[sl][109]["method"]=new Array(0,0,1,2,4,5,11,12,17,19,20,23,24,25);
st[sl][109]["myprotocol"]=new Array(0,20);
st[sl][109]["mapping"]=new Array(0,17,21,24,25);
st[sl][109]["modified"]=new Array(0,2);
st[sl][109]["message"]=new Array(0,17,21,24,25);
st[sl][109]["msgsize"]=new Array(0,17);
st[sl][109]["msgtype"]=new Array(0,24,25);
st[sl][109]["mysga"]=new Array(0,24);
st[sl][109]["miscellaneou"]=new Array(0,11);
st[sl][109]["microsoft"]=new Array(0,2);
st[sl][109]["maintaining"]=new Array(0,7);
st[sl][109]["met"]=new Array(0,7);
st[sl][109]["major_type"]=new Array(0,9,21);
st[sl][109]["mygfa.dll"]=new Array(0,20);
st[sl][109]["myapiprotoco"]=new Array(0,21);
st[sl][109]["maintain"]=new Array(0,7,9);
st[sl][109]["may"]=new Array(0,1,2,9,12,17,21,24,25);
st[sl][109]["major_wch_he"]=new Array(0,9,21);
st[sl][109]["minor_wch_he"]=new Array(0,9,21);
st[sl][109]["messagebox"]=new Array(0,17,21,24);
st[sl][109]["multithreade"]=new Array(0,23);
st[sl][109]["max_path"]=new Array(0,21);
st[sl][109]["mysga.dll"]=new Array(0,20);
st[sl][109]["mystruct"]=new Array(0,9);
st[sl][109]["manuals"]=new Array(0,7);
st[sl][109]["management"]=new Array(0,7);
st[sl][109]["mentors"]=new Array(0,7);
st[sl][109]["methods"]=new Array(0,1);
st[sl][109]["makes"]=new Array(0,2);
st[sl][109]["majorhdr"]=new Array(0,21);
st[sl][109]["minorhdr"]=new Array(0,21);
st[sl][109]["menu"]=new Array(0,7,17,21,24,25);
st[sl][109]["made"]=new Array(0,9,21,24,25);
st[sl][109]["msec"]=new Array(0,9);
st[sl][109]["mystruct_in"]=new Array(0,9);
st[sl][109]["milliseconds"]=new Array(0,9,17,25);
st[sl][109]["methodology"]=new Array(0,1);
st[sl][109]["method:custo"]=new Array(0,12,24);

st[sl][110]=new Array("ntt80.dll","necessary","newfilter.dl","newtarget.dl","newcustomrec","newcustomscr","name-value-d","non","new","nonzero","north","named","needed","navigate","newapirecord","newapirecore","normally","non-gui","nextconn","name","note","need","next","null","none","ntwdblib.dll","notation","newapiscript","neither","netherlands","number","names","needs","namesize");
st[sl][110]["ntt80.dll"]=new Array(0,2);
st[sl][110]["necessary"]=new Array(0,12,21,24,25);
st[sl][110]["newfilter.dl"]=new Array(0,2);
st[sl][110]["newtarget.dl"]=new Array(0,2);
st[sl][110]["newcustomrec"]=new Array(0,5);
st[sl][110]["newcustomscr"]=new Array(0,5);
st[sl][110]["name-value-d"]=new Array(0,12);
st[sl][110]["non"]=new Array(0,21);
st[sl][110]["new"]=new Array(0,2,10,19);
st[sl][110]["nonzero"]=new Array(0,17);
st[sl][110]["north"]=new Array(0,7);
st[sl][110]["named"]=new Array(0,2,5,9,21,24);
st[sl][110]["needed"]=new Array(0,2,3,8,9,10,25);
st[sl][110]["navigate"]=new Array(0,7);
st[sl][110]["newapirecord"]=new Array(0,2);
st[sl][110]["newapirecore"]=new Array(0,2);
st[sl][110]["normally"]=new Array(0,9,17);
st[sl][110]["non-gui"]=new Array(0,11);
st[sl][110]["nextconn"]=new Array(0,21);
st[sl][110]["name"]=new Array(0,1,2,3,4,7,9,10,11,12,16,17,20,21,24,25);
st[sl][110]["note"]=new Array(0,7);
st[sl][110]["need"]=new Array(0,2,9,12,17,21,24,25);
st[sl][110]["next"]=new Array(0,21);
st[sl][110]["null"]=new Array(0,17,21,24);
st[sl][110]["none"]=new Array(0,17,25);
st[sl][110]["ntwdblib.dll"]=new Array(0,2);
st[sl][110]["notation"]=new Array(0,21);
st[sl][110]["newapiscript"]=new Array(0,2);
st[sl][110]["neither"]=new Array(0,16);
st[sl][110]["netherlands"]=new Array(0,7);
st[sl][110]["number"]=new Array(0,7,9,17,20,21,25);
st[sl][110]["names"]=new Array(0,2,5,11,17,20,25);
st[sl][110]["needs"]=new Array(0,2,9);
st[sl][110]["namesize"]=new Array(0,21,24,25);

st[sl][46]=new Array(".isempty",".xml",".ext",".wch",".getbuffer",".java",".getlength");
st[sl][46][".isempty"]=new Array(0,17,21,24,25);
st[sl][46][".xml"]=new Array(0,24);
st[sl][46][".ext"]=new Array(0,24);
st[sl][46][".wch"]=new Array(0,9,24);
st[sl][46][".getbuffer"]=new Array(0,17,21,24,25);
st[sl][46][".java"]=new Array(0,25);
st[sl][46][".getlength"]=new Array(0,17,21,24,25);

st[sl][111]=new Array("ora803.dll","ora804.dll","ora805.dll","optional","operating","option","original","online","oracle","oci","oci.dll","opened","operation","oleaut32.dll","odbc32.dll","orant71.dll","overwrites","operations","overview","opportunitie","orageneric8.","output","offset","outset","ora73.dll","ofstream","ociw32.dll","occurs","offsets","options","opvar","order","objects","ole32.dll","organized","optionssize","odbc","ours","okay","out-of-the-b","oraclient8.d","optionsarray","option-argum","ora72.dll","ora7nt.dll","otherwise");
st[sl][111]["ora803.dll"]=new Array(0,2);
st[sl][111]["ora804.dll"]=new Array(0,2);
st[sl][111]["ora805.dll"]=new Array(0,2);
st[sl][111]["optional"]=new Array(0,12,23,24);
st[sl][111]["operating"]=new Array(0,7);
st[sl][111]["option"]=new Array(0,11,12,15,16,17,21,24,25);
st[sl][111]["original"]=new Array(0,9,17,21,24,25);
st[sl][111]["online"]=new Array(0,7,21,24,25);
st[sl][111]["oracle"]=new Array(0,2,7);
st[sl][111]["oci"]=new Array(0,2);
st[sl][111]["oci.dll"]=new Array(0,2);
st[sl][111]["opened"]=new Array(0,11);
st[sl][111]["operation"]=new Array(0,9);
st[sl][111]["oleaut32.dll"]=new Array(0,2);
st[sl][111]["odbc32.dll"]=new Array(0,2);
st[sl][111]["orant71.dll"]=new Array(0,2);
st[sl][111]["overwrites"]=new Array(0,9);
st[sl][111]["operations"]=new Array(0,1,7,16,25);
st[sl][111]["overview"]=new Array(0,0,1);
st[sl][111]["opportunitie"]=new Array(0,7);
st[sl][111]["orageneric8."]=new Array(0,2);
st[sl][111]["output"]=new Array(0,10,17,21,25);
st[sl][111]["offset"]=new Array(0,9);
st[sl][111]["outset"]=new Array(0,11);
st[sl][111]["ora73.dll"]=new Array(0,2);
st[sl][111]["ofstream"]=new Array(0,24);
st[sl][111]["ociw32.dll"]=new Array(0,2);
st[sl][111]["occurs"]=new Array(0,2);
st[sl][111]["offsets"]=new Array(0,10);
st[sl][111]["options"]=new Array(0,1,2,5,8,10,11,12,15,16,17,19,20,21,23,24,25);
st[sl][111]["opvar"]=new Array(0,21);
st[sl][111]["order"]=new Array(0,9,10,11,15,17);
st[sl][111]["objects"]=new Array(0,7);
st[sl][111]["ole32.dll"]=new Array(0,2);
st[sl][111]["organized"]=new Array(0,0);
st[sl][111]["optionssize"]=new Array(0,17,21,24,25);
st[sl][111]["odbc"]=new Array(0,2);
st[sl][111]["ours"]=new Array(0,21);
st[sl][111]["okay"]=new Array(0,16);
st[sl][111]["out-of-the-b"]=new Array(0,2);
st[sl][111]["oraclient8.d"]=new Array(0,2);
st[sl][111]["optionsarray"]=new Array(0,17,21,24,25);
st[sl][111]["option-argum"]=new Array(0,16);
st[sl][111]["ora72.dll"]=new Array(0,2);
st[sl][111]["ora7nt.dll"]=new Array(0,2);
st[sl][111]["otherwise"]=new Array(0,17,21,24,25);

st[sl][112]=new Array("process_id","parsestring","presented","pdf","procedure","presenting","persisting","processing","preceding","preferences","purecoverage","proxhdr.h","previously","phelloworld1","phelloworld2","passed-in","protocols","passcomplete","performance","procedures","processapipa","privileged","per","performing","providing","p_myproxy_id","put","placement","predefined","productname","p_customadap","parameters","purifyplus","pertaining","parameter","protocoltab","pathnamesize","psystem.h","protocol","perform","problem","program","programmer","planning","performs","pathname","proxutil.h","proxywininit","packetsize","proxylocknew","proxylock","provided","possibly","provides","possible","proxyunlock","packettype","previous","projects","proxyexcepti","proceed","placed","pmyproxyfunc","preface","please","parsing","produce","place","proxyinterne","parsed","pacing","passed","phase","provide","presents","parse","proxyid","proxied","placing","prevents","playback","practical","probably","pacific","public","proxy_lib_wi","proxygetassi","proxy_lib_my","prepared","plibdefs.h","proxyfunctio","pertains","pmystructin","path","plan","play","pair","port","page","part","pass","pull-down","passnumber","powerbuilder","purify","progressing","prefix","pmystruct.dw","pmystructiin","pmystruct.ii","pmystruct","pmystructout","publications","proxy","proprietary","proxylib","product","percent","proxywritebl","page74","products","project","point","packet","password","prompt","page75","persist","proxy_invali","present","proxygettime","proxygettick","passes","prompted","pairs","parses","programs","plans","points","packets","progress","process","pointer","prior");
st[sl][112]["process_id"]=new Array(0,9);
st[sl][112]["parsestring"]=new Array(0,17,21,24,25);
st[sl][112]["presented"]=new Array(0,1,17,24,25);
st[sl][112]["pdf"]=new Array(0,7);
st[sl][112]["procedure"]=new Array(0,17);
st[sl][112]["presenting"]=new Array(0,2);
st[sl][112]["persisting"]=new Array(0,21,24,25);
st[sl][112]["processing"]=new Array(0,17,21);
st[sl][112]["preceding"]=new Array(0,17,25);
st[sl][112]["preferences"]=new Array(0,11);
st[sl][112]["purecoverage"]=new Array(0,7);
st[sl][112]["proxhdr.h"]=new Array(0,9,21);
st[sl][112]["previously"]=new Array(0,7,21);
st[sl][112]["phelloworld1"]=new Array(0,20);
st[sl][112]["phelloworld2"]=new Array(0,20);
st[sl][112]["passed-in"]=new Array(0,9);
st[sl][112]["protocols"]=new Array(0,1,2,4);
st[sl][112]["passcomplete"]=new Array(0,17,21);
st[sl][112]["performance"]=new Array(0,7);
st[sl][112]["procedures"]=new Array(0,17,24,25);
st[sl][112]["processapipa"]=new Array(0,17,21);
st[sl][112]["privileged"]=new Array(0,16);
st[sl][112]["per"]=new Array(0,12,17,21,25);
st[sl][112]["performing"]=new Array(0,7);
st[sl][112]["providing"]=new Array(0,21,24,25);
st[sl][112]["p_myproxy_id"]=new Array(0,9);
st[sl][112]["put"]=new Array(0,0);
st[sl][112]["placement"]=new Array(0,10);
st[sl][112]["predefined"]=new Array(0,12);
st[sl][112]["productname"]=new Array(0,7);
st[sl][112]["p_customadap"]=new Array(0,21);
st[sl][112]["parameters"]=new Array(0,9,17,25);
st[sl][112]["purifyplus"]=new Array(0,7);
st[sl][112]["pertaining"]=new Array(0,17,25);
st[sl][112]["parameter"]=new Array(0,15);
st[sl][112]["protocoltab"]=new Array(0,21);
st[sl][112]["pathnamesize"]=new Array(0,24,25);
st[sl][112]["psystem.h"]=new Array(0,21);
st[sl][112]["protocol"]=new Array(0,2,4,7,12,20,21,25);
st[sl][112]["perform"]=new Array(0,7,17,24,25);
st[sl][112]["problem"]=new Array(0,7);
st[sl][112]["program"]=new Array(0,3);
st[sl][112]["programmer"]=new Array(0,21);
st[sl][112]["planning"]=new Array(0,7);
st[sl][112]["performs"]=new Array(0,17,24,25);
st[sl][112]["pathname"]=new Array(0,24,25);
st[sl][112]["proxutil.h"]=new Array(0,9);
st[sl][112]["proxywininit"]=new Array(0,2);
st[sl][112]["packetsize"]=new Array(0,9);
st[sl][112]["proxylocknew"]=new Array(0,9);
st[sl][112]["proxylock"]=new Array(0,9);
st[sl][112]["provided"]=new Array(0,0,1,2,5,9,21,24,25);
st[sl][112]["possibly"]=new Array(0,5);
st[sl][112]["provides"]=new Array(0,12,15,21,24,25);
st[sl][112]["possible"]=new Array(0,25);
st[sl][112]["proxyunlock"]=new Array(0,9);
st[sl][112]["packettype"]=new Array(0,9);
st[sl][112]["previous"]=new Array(0,12);
st[sl][112]["projects"]=new Array(0,7);
st[sl][112]["proxyexcepti"]=new Array(0,9);
st[sl][112]["proceed"]=new Array(0,9);
st[sl][112]["placed"]=new Array(0,9);
st[sl][112]["pmyproxyfunc"]=new Array(0,9);
st[sl][112]["preface"]=new Array(0,7);
st[sl][112]["please"]=new Array(0,7);
st[sl][112]["parsing"]=new Array(0,21,24);
st[sl][112]["produce"]=new Array(0,9);
st[sl][112]["place"]=new Array(0,9);
st[sl][112]["proxyinterne"]=new Array(0,2);
st[sl][112]["parsed"]=new Array(0,17,21,24,25);
st[sl][112]["pacing"]=new Array(0,17,25);
st[sl][112]["passed"]=new Array(0,9,16);
st[sl][112]["phase"]=new Array(0,2,7);
st[sl][112]["provide"]=new Array(0,7,12,21,24,25);
st[sl][112]["presents"]=new Array(0,21);
st[sl][112]["parse"]=new Array(0,12,17,21,24,25);
st[sl][112]["proxyid"]=new Array(0,9);
st[sl][112]["proxied"]=new Array(0,9);
st[sl][112]["placing"]=new Array(0,10);
st[sl][112]["prevents"]=new Array(0,12);
st[sl][112]["playback"]=new Array(0,7,17,25);
st[sl][112]["practical"]=new Array(0,7);
st[sl][112]["probably"]=new Array(0,10);
st[sl][112]["pacific"]=new Array(0,7);
st[sl][112]["public"]=new Array(0,20,21,24,25);
st[sl][112]["proxy_lib_wi"]=new Array(0,21);
st[sl][112]["proxygetassi"]=new Array(0,9);
st[sl][112]["proxy_lib_my"]=new Array(0,9);
st[sl][112]["prepared"]=new Array(0,7,24);
st[sl][112]["plibdefs.h"]=new Array(0,21);
st[sl][112]["proxyfunctio"]=new Array(0,9);
st[sl][112]["pertains"]=new Array(0,9);
st[sl][112]["pmystructin"]=new Array(0,9);
st[sl][112]["path"]=new Array(0,7,17,24,25);
st[sl][112]["plan"]=new Array(0,7);
st[sl][112]["play"]=new Array(0,2,7);
st[sl][112]["pair"]=new Array(0,5,9);
st[sl][112]["port"]=new Array(0,21);
st[sl][112]["page"]=new Array(0,17,21,24,25);
st[sl][112]["part"]=new Array(0,21,23);
st[sl][112]["pass"]=new Array(0,9,17,21);
st[sl][112]["pull-down"]=new Array(0,17,21,24,25);
st[sl][112]["passnumber"]=new Array(0,17);
st[sl][112]["powerbuilder"]=new Array(0,7);
st[sl][112]["purify"]=new Array(0,7);
st[sl][112]["progressing"]=new Array(0,17);
st[sl][112]["prefix"]=new Array(0,17,25);
st[sl][112]["pmystruct.dw"]=new Array(0,9);
st[sl][112]["pmystructiin"]=new Array(0,9);
st[sl][112]["pmystruct.ii"]=new Array(0,9);
st[sl][112]["pmystruct"]=new Array(0,9);
st[sl][112]["pmystructout"]=new Array(0,9);
st[sl][112]["publications"]=new Array(0,7);
st[sl][112]["proxy"]=new Array(0,2,8,9,20);
st[sl][112]["proprietary"]=new Array(0,2,24);
st[sl][112]["proxylib"]=new Array(0,9);
st[sl][112]["product"]=new Array(0,3,7);
st[sl][112]["percent"]=new Array(0,25);
st[sl][112]["proxywritebl"]=new Array(0,9);
st[sl][112]["page74"]=new Array(0,9);
st[sl][112]["products"]=new Array(0,3,7);
st[sl][112]["project"]=new Array(0,7);
st[sl][112]["point"]=new Array(0,2,10,24);
st[sl][112]["packet"]=new Array(0,9,17,21);
st[sl][112]["password"]=new Array(0,12,21);
st[sl][112]["prompt"]=new Array(0,11,24);
st[sl][112]["page75"]=new Array(0,9);
st[sl][112]["persist"]=new Array(0,17,21,24,25);
st[sl][112]["proxy_invali"]=new Array(0,9);
st[sl][112]["present"]=new Array(0,10);
st[sl][112]["proxygettime"]=new Array(0,9);
st[sl][112]["proxygettick"]=new Array(0,9);
st[sl][112]["passes"]=new Array(0,2,9,15,17,21);
st[sl][112]["prompted"]=new Array(0,2,11);
st[sl][112]["pairs"]=new Array(0,20);
st[sl][112]["parses"]=new Array(0,25);
st[sl][112]["programs"]=new Array(0,2,5,7);
st[sl][112]["plans"]=new Array(0,7);
st[sl][112]["points"]=new Array(0,5,7,10);
st[sl][112]["packets"]=new Array(0,2,9,17,21);
st[sl][112]["progress"]=new Array(0,11,17,25);
st[sl][112]["process"]=new Array(0,2,7,9,21,23);
st[sl][112]["pointer"]=new Array(0,9,10,17,20,21,24,25);
st[sl][112]["prior"]=new Array(0,9);

st[sl][48]=new Array("0.1");
st[sl][48]["0.1"]=new Array(0,20);

st[sl][113]=new Array("quantify","queries","questions");
st[sl][113]["quantify"]=new Array(0,7);
st[sl][113]["queries"]=new Array(0,10);
st[sl][113]["questions"]=new Array(0,7);

st[sl][49]=new Array("1.0","100","1024","1000");
st[sl][49]["1.0"]=new Array(0,24);
st[sl][49]["100"]=new Array(0,25);
st[sl][49]["1024"]=new Array(0,10,24);
st[sl][49]["1000"]=new Array(0,25);

st[sl][50]=new Array("20-4545-201","20-4546-200","2001","24035","29712");
st[sl][50]["20-4545-201"]=new Array(0,7);
st[sl][50]["20-4546-200"]=new Array(0,7);
st[sl][50]["2001"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][50]["24035"]=new Array(0,10);
st[sl][50]["29712"]=new Array(0,10);

st[sl][114]=new Array("response-tim","rsabase.dll","recorders","retrieved","robot-suppli","record_split","recordings","read-only","record_start","responsible","record_sync_","run","redirected","rup","rtxvspy.dll","rtxvutl.dll","representing","readme.htm","rse_buffer_t","rsr_buffer_t","rsr_failure","rsr_filter_o","recording","robot-define","row","respectively","record_timer","repeatable","robot-provid","requirements","record_block","requested","requisitepro","record_comme","rsr_display_","receiving","return","rsr_script_t","response","responds","rational","resources","rsr_success","rsr_error","radio","rsr_generato","rsr_annotati","rational-pro","rsr_ext_stub","received","receives","retrieve","rtsdk","required","requires","remote","reside","remove","record","release","routed","respond","requests","reading","require","realfunc","replybuffer","rtweblogicej","rose","role","real","rows","read","rsr_callback","rsr_object_d","recommendati","reply","rtvutl.dll","rsrext","recent","relative","react","replybu","robot","reflect","rsr_max_opti","right","relevant","rsr_session_","request","result","replysize","reference","relevance","returned","rtxutil.dll","results","returns","records","reports","revision","recorder","reported","recorded","resulting","returning","reads");
st[sl][114]["response-tim"]=new Array(0,7);
st[sl][114]["rsabase.dll"]=new Array(0,2);
st[sl][114]["recorders"]=new Array(0,3);
st[sl][114]["retrieved"]=new Array(0,10);
st[sl][114]["robot-suppli"]=new Array(0,21,24,25);
st[sl][114]["record_split"]=new Array(0,11,16,24);
st[sl][114]["recordings"]=new Array(0,10);
st[sl][114]["read-only"]=new Array(0,17,21,24,25);
st[sl][114]["record_start"]=new Array(0,11,24);
st[sl][114]["responsible"]=new Array(0,2,10,12,21,24,25);
st[sl][114]["record_sync_"]=new Array(0,24);
st[sl][114]["run"]=new Array(0,2,23);
st[sl][114]["redirected"]=new Array(0,2,20);
st[sl][114]["rup"]=new Array(0,7);
st[sl][114]["rtxvspy.dll"]=new Array(0,2);
st[sl][114]["rtxvutl.dll"]=new Array(0,2,9);
st[sl][114]["representing"]=new Array(0,10);
st[sl][114]["readme.htm"]=new Array(0,2);
st[sl][114]["rse_buffer_t"]=new Array(0,20);
st[sl][114]["rsr_buffer_t"]=new Array(0,10,17,21,24,25);
st[sl][114]["rsr_failure"]=new Array(0,10,21,24,25);
st[sl][114]["rsr_filter_o"]=new Array(0,21);
st[sl][114]["recording"]=new Array(0,0,1,2,4,5,7,8,9,10,11,13,15,17,19,20,21,23,24,25);
st[sl][114]["robot-define"]=new Array(0,11,12,16,17,21,24,25);
st[sl][114]["row"]=new Array(0,17,25);
st[sl][114]["respectively"]=new Array(0,17,25);
st[sl][114]["record_timer"]=new Array(0,11,24);
st[sl][114]["repeatable"]=new Array(0,7);
st[sl][114]["robot-provid"]=new Array(0,21,24);
st[sl][114]["requirements"]=new Array(0,7);
st[sl][114]["record_block"]=new Array(0,11,24);
st[sl][114]["requested"]=new Array(0,10);
st[sl][114]["requisitepro"]=new Array(0,7);
st[sl][114]["record_comme"]=new Array(0,11,24);
st[sl][114]["rsr_display_"]=new Array(0,17,25);
st[sl][114]["receiving"]=new Array(0,25);
st[sl][114]["return"]=new Array(0,9,10,17,20,21,24,25);
st[sl][114]["rsr_script_t"]=new Array(0,16,17,25);
st[sl][114]["response"]=new Array(0,11,12,16,17,20,21,24,25);
st[sl][114]["responds"]=new Array(0,20);
st[sl][114]["rational"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][114]["resources"]=new Array(0,7);
st[sl][114]["rsr_success"]=new Array(0,10,17,20,21,24,25);
st[sl][114]["rsr_error"]=new Array(0,21);
st[sl][114]["radio"]=new Array(0,17,24,25);
st[sl][114]["rsr_generato"]=new Array(0,17,25);
st[sl][114]["rsr_annotati"]=new Array(0,10);
st[sl][114]["rational-pro"]=new Array(0,3);
st[sl][114]["rsr_ext_stub"]=new Array(0,21);
st[sl][114]["received"]=new Array(0,21);
st[sl][114]["receives"]=new Array(0,17,21);
st[sl][114]["retrieve"]=new Array(0,7);
st[sl][114]["rtsdk"]=new Array(0,2,3,5);
st[sl][114]["required"]=new Array(0,3,8,10,12);
st[sl][114]["requires"]=new Array(0,9,19,23);
st[sl][114]["remote"]=new Array(0,2);
st[sl][114]["reside"]=new Array(0,9);
st[sl][114]["remove"]=new Array(0,11);
st[sl][114]["record"]=new Array(0,1,2,5,7,9,11,12,17,19,20,21,23,24,25);
st[sl][114]["release"]=new Array(0,7);
st[sl][114]["routed"]=new Array(0,20,21);
st[sl][114]["respond"]=new Array(0,17,24,25);
st[sl][114]["requests"]=new Array(0,7,10);
st[sl][114]["reading"]=new Array(0,10,21,24,25);
st[sl][114]["require"]=new Array(0,21,24,25);
st[sl][114]["realfunc"]=new Array(0,9);
st[sl][114]["replybuffer"]=new Array(0,10);
st[sl][114]["rtweblogicej"]=new Array(0,24,25);
st[sl][114]["rose"]=new Array(0,7);
st[sl][114]["role"]=new Array(0,2,21);
st[sl][114]["real"]=new Array(0,2,9);
st[sl][114]["rows"]=new Array(0,17,21,24,25);
st[sl][114]["read"]=new Array(0,17);
st[sl][114]["rsr_callback"]=new Array(0,24,25);
st[sl][114]["rsr_object_d"]=new Array(0,10);
st[sl][114]["recommendati"]=new Array(0,23);
st[sl][114]["reply"]=new Array(0,10);
st[sl][114]["rtvutl.dll"]=new Array(0,9);
st[sl][114]["rsrext"]=new Array(0,2,3,5);
st[sl][114]["recent"]=new Array(0,9);
st[sl][114]["relative"]=new Array(0,10);
st[sl][114]["react"]=new Array(0,10);
st[sl][114]["replybu"]=new Array(0,10);
st[sl][114]["robot"]=new Array(0,0,1,2,3,4,5,6,7,10,11,12,15,16,17,19,20,21,23,24,25);
st[sl][114]["reflect"]=new Array(0,4);
st[sl][114]["rsr_max_opti"]=new Array(0,17,21,24,25);
st[sl][114]["right"]=new Array(0,11);
st[sl][114]["relevant"]=new Array(0,2,3,4,11,16,17,21);
st[sl][114]["rsr_session_"]=new Array(0,24);
st[sl][114]["request"]=new Array(0,10,24,25);
st[sl][114]["result"]=new Array(0,9,12);
st[sl][114]["replysize"]=new Array(0,10);
st[sl][114]["reference"]=new Array(0,7,8,9,18,19,20,22,23,24);
st[sl][114]["relevance"]=new Array(0,2);
st[sl][114]["returned"]=new Array(0,9,10,12,16,20,21);
st[sl][114]["rtxutil.dll"]=new Array(0,9);
st[sl][114]["results"]=new Array(0,7);
st[sl][114]["returns"]=new Array(0,9,10,15,17,20,21,24,25);
st[sl][114]["records"]=new Array(0,7,20,21);
st[sl][114]["reports"]=new Array(0,7);
st[sl][114]["revision"]=new Array(0,21);
st[sl][114]["recorder"]=new Array(0,1,2,3,4,5,7,8,9,10,11,12,15,17,19,20,23,24,25);
st[sl][114]["reported"]=new Array(0,7);
st[sl][114]["recorded"]=new Array(0,2,4,9,10,17,19,21,23,25);
st[sl][114]["resulting"]=new Array(0,4);
st[sl][114]["returning"]=new Array(0,25);
st[sl][114]["reads"]=new Array(0,10);

st[sl][115]=new Array("session","section","shown","several","serverport","specificatio","session_file","serial","supports","sga","small","scriptpath","supplied","sessionpaths","supplies","system","studio","setoptions","strlen","sessionfile","scriptfilepa","scriptnames.","server_usern","specific","specified","succeeded","sessionname","standards","switch","serverpasswo","services","subfolder","scriptgenera","sessions","scriptgen","sections","settings","support@apac","skeletal","shaded","saved","structures","supported","standard","sybase","space","single","setting","succeeds","second","sharing","stored","started","string","sizeof","sizeofminor","szoffset","secondary","suite","state","service","suppose","sample","serverip","selections","sending","sizeofmajor","sessionpath","sprintf","support@euro","scriptable","static","successful","szlibname","selected","spare_ushort","scripting","statuscallba","specifies","serveruserna","sys","set","suffix","specify","selection","syntax","supply","spare_uchar","select","size_t","stamp2_wch_h","script","software","submit","s_customadap","split","start","support","starting","scriptnames","struct","short","support@rati","split-script","selectable","server","sleep","stores","suites","sources","starts","servers","samples","shows","stricmp","scriptpathna","status","scriptpathsi","stamp","script_1","script_2","scripts","startup","strings","subarray","separate","stamps","selects","syntacticall","selecting","screens","szpairs","success","spaces","synchronize","sampleapiwra","semi-colon","synchronizat","startrecordi","solutions","sub-strings","separated","startscriptg","signature","site","soda","send","says","sent","stub","size","sets","substrings","stop","sync","soon","szinstring","side","semicolons","szoutstring","stoprecordin","seed.java","sub-string","simplifies");
st[sl][115]["session"]=new Array(0,0,1,2,4,5,7,9,10,11,17,19,20,21,23,24,25);
st[sl][115]["section"]=new Array(0,0);
st[sl][115]["shown"]=new Array(0,1,12,17,21,24,25);
st[sl][115]["several"]=new Array(0,3);
st[sl][115]["serverport"]=new Array(0,21);
st[sl][115]["specificatio"]=new Array(0,21,24);
st[sl][115]["session_file"]=new Array(0,11,24);
st[sl][115]["serial"]=new Array(0,7);
st[sl][115]["supports"]=new Array(0,1,16,17,21,24,25);
st[sl][115]["sga"]=new Array(0,21,24);
st[sl][115]["small"]=new Array(0,10,24);
st[sl][115]["scriptpath"]=new Array(0,25);
st[sl][115]["supplied"]=new Array(0,17,21,24,25);
st[sl][115]["sessionpaths"]=new Array(0,24,25);
st[sl][115]["supplies"]=new Array(0,11);
st[sl][115]["system"]=new Array(0,7,12,16,21,25);
st[sl][115]["studio"]=new Array(0,2);
st[sl][115]["setoptions"]=new Array(0,10,15,16,17,21,24,25);
st[sl][115]["strlen"]=new Array(0,9);
st[sl][115]["sessionfile"]=new Array(0,17);
st[sl][115]["scriptfilepa"]=new Array(0,25);
st[sl][115]["scriptnames."]=new Array(0,25);
st[sl][115]["server_usern"]=new Array(0,16);
st[sl][115]["specific"]=new Array(0,7);
st[sl][115]["specified"]=new Array(0,9,10,11,15,16,17,20,21,24,25);
st[sl][115]["succeeded"]=new Array(0,21);
st[sl][115]["sessionname"]=new Array(0,10);
st[sl][115]["standards"]=new Array(0,7);
st[sl][115]["switch"]=new Array(0,9,10,21);
st[sl][115]["serverpasswo"]=new Array(0,12);
st[sl][115]["services"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][115]["subfolder"]=new Array(0,3);
st[sl][115]["scriptgenera"]=new Array(0,3);
st[sl][115]["sessions"]=new Array(0,17,21,24,25);
st[sl][115]["scriptgen"]=new Array(0,25);
st[sl][115]["sections"]=new Array(0,8);
st[sl][115]["settings"]=new Array(0,11,12,16);
st[sl][115]["support@apac"]=new Array(0,7);
st[sl][115]["skeletal"]=new Array(0,2,5);
st[sl][115]["shaded"]=new Array(0,11,17,21,24,25);
st[sl][115]["saved"]=new Array(0,17,21,24,25);
st[sl][115]["structures"]=new Array(0,9);
st[sl][115]["supported"]=new Array(0,2,7,11,15,17,21,24,25);
st[sl][115]["standard"]=new Array(0,2);
st[sl][115]["sybase"]=new Array(0,2);
st[sl][115]["space"]=new Array(0,2);
st[sl][115]["single"]=new Array(0,4,9,17,21);
st[sl][115]["setting"]=new Array(0,16,17,21,24,25);
st[sl][115]["succeeds"]=new Array(0,9);
st[sl][115]["second"]=new Array(0,9);
st[sl][115]["sharing"]=new Array(0,9);
st[sl][115]["stored"]=new Array(0,7,17);
st[sl][115]["started"]=new Array(0,7,11,19,23);
st[sl][115]["string"]=new Array(0,11,12,16,17,20,21,24,25);
st[sl][115]["sizeof"]=new Array(0,9,21);
st[sl][115]["sizeofminor"]=new Array(0,21);
st[sl][115]["szoffset"]=new Array(0,21);
st[sl][115]["secondary"]=new Array(0,9);
st[sl][115]["suite"]=new Array(0,7,9);
st[sl][115]["state"]=new Array(0,7);
st[sl][115]["service"]=new Array(0,1,8,10,15,17);
st[sl][115]["suppose"]=new Array(0,2);
st[sl][115]["sample"]=new Array(0,2,10,21,24);
st[sl][115]["serverip"]=new Array(0,21);
st[sl][115]["selections"]=new Array(0,12,17,21,24,25);
st[sl][115]["sending"]=new Array(0,21,24);
st[sl][115]["sizeofmajor"]=new Array(0,21);
st[sl][115]["sessionpath"]=new Array(0,24,25);
st[sl][115]["sprintf"]=new Array(0,25);
st[sl][115]["support@euro"]=new Array(0,7);
st[sl][115]["scriptable"]=new Array(0,2,17,19,21);
st[sl][115]["static"]=new Array(0,20,21);
st[sl][115]["successful"]=new Array(0,10,17,21,24,25);
st[sl][115]["szlibname"]=new Array(0,21);
st[sl][115]["selected"]=new Array(0,4,17,21,24,25);
st[sl][115]["spare_ushort"]=new Array(0,9);
st[sl][115]["scripting"]=new Array(0,15);
st[sl][115]["statuscallba"]=new Array(0,24,25);
st[sl][115]["specifies"]=new Array(0,9,10,11,12,17,21,24,25);
st[sl][115]["serveruserna"]=new Array(0,12);
st[sl][115]["sys"]=new Array(0,21);
st[sl][115]["set"]=new Array(0,2,17,21,24,25);
st[sl][115]["suffix"]=new Array(0,21);
st[sl][115]["specify"]=new Array(0,9,10,11,12,15,21,24,25);
st[sl][115]["selection"]=new Array(0,1,17,25);
st[sl][115]["syntax"]=new Array(0,9,10,17,20,21,24,25);
st[sl][115]["supply"]=new Array(0,7,9,12,17);
st[sl][115]["spare_uchar"]=new Array(0,9);
st[sl][115]["select"]=new Array(0,4,11);
st[sl][115]["size_t"]=new Array(0,17,20,21,24,25);
st[sl][115]["stamp2_wch_h"]=new Array(0,9,21);
st[sl][115]["script"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][115]["software"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][115]["submit"]=new Array(0,7);
st[sl][115]["s_customadap"]=new Array(0,21);
st[sl][115]["split"]=new Array(0,11,17,24);
st[sl][115]["start"]=new Array(0,7,9,10,11,12,21,24,25);
st[sl][115]["support"]=new Array(0,7,8,10,11,12,15,17,21,24,25);
st[sl][115]["starting"]=new Array(0,2,5,25);
st[sl][115]["scriptnames"]=new Array(0,25);
st[sl][115]["struct"]=new Array(0,9);
st[sl][115]["short"]=new Array(0,9,10);
st[sl][115]["support@rati"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][115]["split-script"]=new Array(0,10);
st[sl][115]["selectable"]=new Array(0,1);
st[sl][115]["server"]=new Array(0,2,12,21);
st[sl][115]["sleep"]=new Array(0,25);
st[sl][115]["stores"]=new Array(0,7);
st[sl][115]["suites"]=new Array(0,7);
st[sl][115]["sources"]=new Array(0,7);
st[sl][115]["starts"]=new Array(0,2,5,11,17,21,24,25);
st[sl][115]["servers"]=new Array(0,2);
st[sl][115]["samples"]=new Array(0,2,5);
st[sl][115]["shows"]=new Array(0,3,11,12);
st[sl][115]["stricmp"]=new Array(0,21);
st[sl][115]["scriptpathna"]=new Array(0,17);
st[sl][115]["status"]=new Array(0,11,17,24,25);
st[sl][115]["scriptpathsi"]=new Array(0,25);
st[sl][115]["stamp"]=new Array(0,9);
st[sl][115]["script_1"]=new Array(0,10);
st[sl][115]["script_2"]=new Array(0,10);
st[sl][115]["scripts"]=new Array(0,2,4,7,10,17,24,25);
st[sl][115]["startup"]=new Array(0,0,1,3,17,25);
st[sl][115]["strings"]=new Array(0,11,16,17,21,24,25);
st[sl][115]["subarray"]=new Array(0,17,21,24,25);
st[sl][115]["separate"]=new Array(0,23);
st[sl][115]["stamps"]=new Array(0,10);
st[sl][115]["selects"]=new Array(0,1,2,5,12,17,19,20,21,23,24,25);
st[sl][115]["syntacticall"]=new Array(0,2);
st[sl][115]["selecting"]=new Array(0,2,21,24);
st[sl][115]["screens"]=new Array(0,2);
st[sl][115]["szpairs"]=new Array(0,20);
st[sl][115]["success"]=new Array(0,9,10);
st[sl][115]["spaces"]=new Array(0,16);
st[sl][115]["synchronize"]=new Array(0,11);
st[sl][115]["sampleapiwra"]=new Array(0,9,21);
st[sl][115]["semi-colon"]=new Array(0,17,21,24,25);
st[sl][115]["synchronizat"]=new Array(0,10);
st[sl][115]["startrecordi"]=new Array(0,10,24,25);
st[sl][115]["solutions"]=new Array(0,7);
st[sl][115]["sub-strings"]=new Array(0,17,21,24,25);
st[sl][115]["separated"]=new Array(0,16,17,21,24,25);
st[sl][115]["startscriptg"]=new Array(0,25);
st[sl][115]["signature"]=new Array(0,24,25);
st[sl][115]["site"]=new Array(0,7);
st[sl][115]["soda"]=new Array(0,7);
st[sl][115]["send"]=new Array(0,2,7);
st[sl][115]["says"]=new Array(0,2);
st[sl][115]["sent"]=new Array(0,2);
st[sl][115]["stub"]=new Array(0,3,17);
st[sl][115]["size"]=new Array(0,10,17,20,21,24,25);
st[sl][115]["sets"]=new Array(0,17,21,24,25);
st[sl][115]["substrings"]=new Array(0,17,21,24,25);
st[sl][115]["stop"]=new Array(0,10,11,24,25);
st[sl][115]["sync"]=new Array(0,10,24);
st[sl][115]["soon"]=new Array(0,25);
st[sl][115]["szinstring"]=new Array(0,9);
st[sl][115]["side"]=new Array(0,11);
st[sl][115]["semicolons"]=new Array(0,16,17,21,24,25);
st[sl][115]["szoutstring"]=new Array(0,9);
st[sl][115]["stoprecordin"]=new Array(0,24);
st[sl][115]["seed.java"]=new Array(0,25);
st[sl][115]["sub-string"]=new Array(0,17,21,24,25);
st[sl][115]["simplifies"]=new Array(0,23);

st[sl][51]=new Array("35000");
st[sl][51]["35000"]=new Array(0,10);

st[sl][116]=new Array("technical","tab","timestamp","traceability","testmanager","two","top","teststudio","time-stamped","test_script_","threshold","thread_id","total","triplets","training","thrown","throughout","tchar.h","think","track","total_length","table","ticketid","thread","testing","three","targeted","trace","typedef","third","techpubs@rat","traffic","typically","test","tool","toll","term","type","thus","tree","true","time","target","ticket","triplet","think_min","typographica","telephone","tools","tchar","terms","timer","types","targets","timers");
st[sl][116]["technical"]=new Array(0,7);
st[sl][116]["tab"]=new Array(0,1,2,4,5,11,12,17,19,20,21,23,24,25);
st[sl][116]["timestamp"]=new Array(0,9);
st[sl][116]["traceability"]=new Array(0,7);
st[sl][116]["testmanager"]=new Array(0,2,7);
st[sl][116]["two"]=new Array(0,0,5,10,16,20,23);
st[sl][116]["top"]=new Array(0,3);
st[sl][116]["teststudio"]=new Array(0,7);
st[sl][116]["time-stamped"]=new Array(0,11);
st[sl][116]["test_script_"]=new Array(0,11,16,17,25);
st[sl][116]["threshold"]=new Array(0,17,25);
st[sl][116]["thread_id"]=new Array(0,9);
st[sl][116]["total"]=new Array(0,2,9);
st[sl][116]["triplets"]=new Array(0,12);
st[sl][116]["training"]=new Array(0,7);
st[sl][116]["thrown"]=new Array(0,17,21,24,25);
st[sl][116]["throughout"]=new Array(0,7);
st[sl][116]["tchar.h"]=new Array(0,9,21);
st[sl][116]["think"]=new Array(0,17,21,24,25);
st[sl][116]["track"]=new Array(0,7);
st[sl][116]["total_length"]=new Array(0,9);
st[sl][116]["table"]=new Array(0,2,11,17,19,21,23,24,25);
st[sl][116]["ticketid"]=new Array(0,9);
st[sl][116]["thread"]=new Array(0,9);
st[sl][116]["testing"]=new Array(0,7);
st[sl][116]["three"]=new Array(0,0,2,9,10,11,16,19);
st[sl][116]["targeted"]=new Array(0,2,9,20);
st[sl][116]["trace"]=new Array(0,10,24);
st[sl][116]["typedef"]=new Array(0,9);
st[sl][116]["third"]=new Array(0,9);
st[sl][116]["techpubs@rat"]=new Array(0,7);
st[sl][116]["traffic"]=new Array(0,2,9,19,20,21);
st[sl][116]["typically"]=new Array(0,9);
st[sl][116]["test"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][116]["tool"]=new Array(0,7,11);
st[sl][116]["toll"]=new Array(0,7);
st[sl][116]["term"]=new Array(0,2,21);
st[sl][116]["type"]=new Array(0,2,9,10,11,12,17,19,21,24,25);
st[sl][116]["thus"]=new Array(0,5);
st[sl][116]["tree"]=new Array(0,3);
st[sl][116]["true"]=new Array(0,17,20,21,24,25);
st[sl][116]["time"]=new Array(0,9,10);
st[sl][116]["target"]=new Array(0,2,9,17,19,20,21);
st[sl][116]["ticket"]=new Array(0,9);
st[sl][116]["triplet"]=new Array(0,12,17,21,24,25);
st[sl][116]["think_min"]=new Array(0,17,21,24,25);
st[sl][116]["typographica"]=new Array(0,12);
st[sl][116]["telephone"]=new Array(0,7);
st[sl][116]["tools"]=new Array(0,7);
st[sl][116]["tchar"]=new Array(0,10,17,20,21,24,25);
st[sl][116]["terms"]=new Array(0,20);
st[sl][116]["timer"]=new Array(0,10,11,24);
st[sl][116]["types"]=new Array(0,0,2,8,9,15,16,17,21,24,25);
st[sl][116]["targets"]=new Array(0,2);
st[sl][116]["timers"]=new Array(0,10);

st[sl][52]=new Array("408","433-5444","4096","41699");
st[sl][52]["408"]=new Array(0,7);
st[sl][52]["433-5444"]=new Array(0,7);
st[sl][52]["4096"]=new Array(0,21);
st[sl][52]["41699"]=new Array(0,10);

st[sl][117]=new Array("useful","username","user-selecte","until","user-specifi","unified","unlike","uilibid","using","unsigned","ulong","ul_reason_be","unique","user-defined","university","ucm","unrecognized","utility","usually","unrestricted","uniquely","users","unlocks","use_scriptge","user","used","uses","use_custom_u","understood");
st[sl][117]["useful"]=new Array(0,2);
st[sl][117]["username"]=new Array(0,16);
st[sl][117]["user-selecte"]=new Array(0,2);
st[sl][117]["until"]=new Array(0,24);
st[sl][117]["user-specifi"]=new Array(0,17,21,24,25);
st[sl][117]["unified"]=new Array(0,7);
st[sl][117]["unlike"]=new Array(0,9);
st[sl][117]["uilibid"]=new Array(0,21);
st[sl][117]["using"]=new Array(0,7,11,12,17,21,24,25);
st[sl][117]["unsigned"]=new Array(0,9,21);
st[sl][117]["ulong"]=new Array(0,9);
st[sl][117]["ul_reason_be"]=new Array(0,9);
st[sl][117]["unique"]=new Array(0,9);
st[sl][117]["user-defined"]=new Array(0,7,24);
st[sl][117]["university"]=new Array(0,7);
st[sl][117]["ucm"]=new Array(0,7);
st[sl][117]["unrecognized"]=new Array(0,17,21,24,25);
st[sl][117]["utility"]=new Array(0,2,9);
st[sl][117]["usually"]=new Array(0,17);
st[sl][117]["unrestricted"]=new Array(0,5);
st[sl][117]["uniquely"]=new Array(0,9);
st[sl][117]["users"]=new Array(0,10,11,12,15,21,24,25);
st[sl][117]["unlocks"]=new Array(0,9);
st[sl][117]["use_scriptge"]=new Array(0,11);
st[sl][117]["user"]=new Array(0,1,2,4,5,7,10,11,12,15,17,19,20,21,23,24,25);
st[sl][117]["used"]=new Array(0,2,5,9,11,15,17,20,21,24,25);
st[sl][117]["uses"]=new Array(0,10,17,19,24,25);
st[sl][117]["use_custom_u"]=new Array(0,11,12,21,24,25);
st[sl][117]["understood"]=new Array(0,21,24,25);

st[sl][53]=new Array("50763","55941");
st[sl][53]["50763"]=new Array(0,10);
st[sl][53]["55941"]=new Array(0,10);

st[sl][54]=new Array("61-2-9419-01","676-2460","61479");
st[sl][54]["61-2-9419-01"]=new Array(0,7);
st[sl][54]["676-2460"]=new Array(0,7);
st[sl][54]["61479"]=new Array(0,10);

st[sl][118]=new Array("validation","verification","version","valuen","visual","versions","varying","visible","valid","value","verify","view","void","variables","value2","values","value1");
st[sl][118]["validation"]=new Array(0,21,24);
st[sl][118]["verification"]=new Array(0,7);
st[sl][118]["version"]=new Array(0,7,20,21,24);
st[sl][118]["valuen"]=new Array(0,21,24);
st[sl][118]["visual"]=new Array(0,2,7,11,17,25);
st[sl][118]["versions"]=new Array(0,5);
st[sl][118]["varying"]=new Array(0,7);
st[sl][118]["visible"]=new Array(0,7);
st[sl][118]["valid"]=new Array(0,12);
st[sl][118]["value"]=new Array(0,9,10,11,12,16,17,21,24,25);
st[sl][118]["verify"]=new Array(0,17,25);
st[sl][118]["view"]=new Array(0,7);
st[sl][118]["void"]=new Array(0,9,17,21);
st[sl][118]["variables"]=new Array(0,17,25);
st[sl][118]["value2"]=new Array(0,11,12,17,21,24,25);
st[sl][118]["values"]=new Array(0,10,12,17,21,24,25);
st[sl][118]["value1"]=new Array(0,11,12,17,21,24,25);

st[sl][119]=new Array("written","web","weblogic","within","wsock32.dll","watch","winapi","wsprintf","whenever","writing","waiting","wrapped","whose","write","whatever","wininet.dll","workloads","without","wch_v1","window","www.rational","whether","wrapper","windows.h","waits","writes","works","windows","well-documen","want","when","work","word","ws2_32.dll");
st[sl][119]["written"]=new Array(0,1,9);
st[sl][119]["web"]=new Array(0,2,7);
st[sl][119]["weblogic"]=new Array(0,12,24);
st[sl][119]["within"]=new Array(0,7);
st[sl][119]["wsock32.dll"]=new Array(0,2);
st[sl][119]["watch"]=new Array(0,24);
st[sl][119]["winapi"]=new Array(0,9);
st[sl][119]["wsprintf"]=new Array(0,21);
st[sl][119]["whenever"]=new Array(0,2);
st[sl][119]["writing"]=new Array(0,9);
st[sl][119]["waiting"]=new Array(0,11);
st[sl][119]["wrapped"]=new Array(0,2);
st[sl][119]["whose"]=new Array(0,9,21);
st[sl][119]["write"]=new Array(0,9);
st[sl][119]["whatever"]=new Array(0,9);
st[sl][119]["wininet.dll"]=new Array(0,2);
st[sl][119]["workloads"]=new Array(0,7);
st[sl][119]["without"]=new Array(0,9,24,25);
st[sl][119]["wch_v1"]=new Array(0,9);
st[sl][119]["window"]=new Array(0,7);
st[sl][119]["www.rational"]=new Array(0,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25);
st[sl][119]["whether"]=new Array(0,7,17,21,24,25);
st[sl][119]["wrapper"]=new Array(0,2,9,20);
st[sl][119]["windows.h"]=new Array(0,9,21);
st[sl][119]["waits"]=new Array(0,2);
st[sl][119]["writes"]=new Array(0,9);
st[sl][119]["works"]=new Array(0,4,17,21,24,25);
st[sl][119]["windows"]=new Array(0,7);
st[sl][119]["well-documen"]=new Array(0,2);
st[sl][119]["want"]=new Array(0,7,21);
st[sl][119]["when"]=new Array(0,2,7,11,17,19,21,23,24,25);
st[sl][119]["work"]=new Array(0,1,7,11);
st[sl][119]["word"]=new Array(0,9);
st[sl][119]["ws2_32.dll"]=new Array(0,2);

st[sl][55]=new Array("781","79334","79294","71792");
st[sl][55]["781"]=new Array(0,7);
st[sl][55]["79334"]=new Array(0,10);
st[sl][55]["79294"]=new Array(0,10);
st[sl][55]["71792"]=new Array(0,10);

st[sl][56]=new Array("800","863-4000","86794");
st[sl][56]["800"]=new Array(0,7);
st[sl][56]["863-4000"]=new Array(0,7);
st[sl][56]["86794"]=new Array(0,10);

st[sl][120]=new Array("xml");
st[sl][120]["xml"]=new Array(0,11,24);

st[sl][57]=new Array("995471049");
st[sl][57]["995471049"]=new Array(0,10);

